#
# OS-dependent aliases
#

switch("$_tcshrc_runos")
	case "FREEBSD":
	case "NETBSD":
	case "BSDI":
	case "NEXT":
	case "UNKNOWN":
		alias p          'ps -agwwOuser'
		alias psa        'ps -gaxuww'
		breaksw
	case "SUNOS":
		alias p          'ps -aguww'
		alias psa        'ps -gaxuww'
		breaksw
	case "SOLARIS":
		alias p          '/usr/ucb/ps -aguww'
		alias psa        '/usr/ucb/ps -gaxuww'
		breaksw
	case "LINUX"
		# Silly GNU ps
		alias p          'ps uaww'
		alias psa        'ps axuww'
		breaksw
	case "HP9":
		# HP/UX 9.x doesn't have a /usr/ucb/ps, fools
		alias p          'ps -la'
		alias psa        'ps -ela'
		breaksw
	case "HP1x":
		alias p          '/usr/ucb/ps -aguww'
		alias psa        '/usr/ucb/ps -gaxuww'
		breaksw
endsw
