# .tcshrc.conf
# Flippable settings for .tcshrc
# Part of Matt's Mega .tcshrc

# What does the backspace key send?  BS or DEL?
set _tcshrc_bs_send="BS"

# Default to disabling tty STOP capability.
set _tcshrc_stty_stop="NO"

# Full domain name in the prompt?
set _tcshrc_domain_prompt="YES"

# Username in the prompt?
set _tcshrc_user_prompt="YES"

# Date in the prompt?
set _tcshrc_date_prompt="NO"

# Use a special root prompt?
set _tcshrc_root_prompt="YES"

# Use a custom prompt?
#set _tcshrc_custom_prompt="{%~} %m:{%\!} %% "

# Use a custom root prompt?
#set _tcshrc_custom_root_prompt="[%T] %M:%/\n(%l) %Broot%%%b "

# Allow terminal messages?
set _tcshrc_allow_messages="NO"

# Umask stuff (few idiomatic standard settings, or override with specific
# umask)
set _tcshrc_file_perms="STANDARD"
#set _tcshrc_umask="077"

# Extra dirs to add onto your path
#set _tcshrc_path_add="/my/bin:/your/bin"

# A dir to store persistent state in (history, directory stack, etc)
# (must exist; I highly suggest mode 700)
#set _tcshrc_state_dir="~/.tcsh.state"
