# Prompt-figuring bits

# Test: should we use full domain, or just hostname?
if( $_tcshrc_domain_prompt == "YES" ) then
	set _pr_DP='%M'
else
	set _pr_DP='%m'
endif

# Username?
if( $_tcshrc_user_prompt == "YES" ) then
	set _pr_UP='%n@'
else
	set _pr_UP=''
endif

# Date?
if( $_tcshrc_date_prompt == "YES" ) then
	set _pr_DT='%b%Y-%W-%D %B'
else
	set _pr_DT=''
endif

# OK, so what should the prompt be?
# This is all useless in csh too...
if( $_tcshrc_root_prompt == "YES" && $_tcshrc_euid == "0" ) then
	if( ${?_tcshrc_custom_root_prompt} ) then
		set prompt="$_tcshrc_custom_root_prompt"
	else
		#set prompt="{%~} root@${_pr_DP}: %%"
		set prompt="${_pr_DP}:%/\n%Broot%%%b "
	endif
else
	if( ${?_tcshrc_custom_prompt} ) then
		set prompt="$_tcshrc_custom_prompt"
	else
		# This yields [time] hostname:cwd \n(tty):{line#}%
		set prompt="%B[${_pr_DT}%P]%b ${_pr_UP}${_pr_DP}:%~\n(%l):{%h}%% "
	endif
endif

# Cleanup
unset _pr_*
