# Set umask

if( ${?_tcshrc_umask} ) then
	umask $_tcshrc_umask
else
	switch("$_tcshrc_file_perms")
		case "OPENWORLD":
			umask 000
			breaksw
		case "OPENGROUP":
			umask 002
			breaksw
		case "STANDARD":
			umask 022
			breaksw
		case "SEMI-CLOSED":
			umask 027
			breaksw
		case "CLOSED":
			umask 077
			breaksw
		default:
			# Dunno what this is...
			echo "Unknown file_perms setting '$_tcshrc_file_perms', using 022."
			umask 022
			breaksw
	endsw
endif

